BatesModel Class Reference

Bates stochastic-volatility model. More...

`#include <ql/models/equity/batesmodel.hpp>`

Inheritance diagram for BatesModel:
[legend]

## Public Member Functions

| BatesModel (const ext::shared_ptr< BatesProcess > &process)
Real | nu () const
Real | delta () const
Real | lambda () const
Public Member Functions inherited from HestonModel
| HestonModel (const ext::shared_ptr< HestonProcess > &process)
Real | theta () const
Real | kappa () const
Real | sigma () const
Real | rho () const
Real | v0 () const
ext::shared_ptr< HestonProcess > | process () const
Public Member Functions inherited from CalibratedModel
| CalibratedModel (Size nArguments)
void | update ()
virtual void | calibrate (const std::vector< ext::shared_ptr< CalibrationHelper > > &, OptimizationMethod &method, const EndCriteria &endCriteria, const Constraint &constraint=Constraint(), const std::vector< Real > &weights=std::vector< Real >(), const std::vector< bool > &fixParameters=std::vector< bool >())
| Calibrate to a set of market instruments (usually caps/swaptions) More...
virtual QL_DEPRECATED void | calibrate (const std::vector< ext::shared_ptr< BlackCalibrationHelper > > &, OptimizationMethod &method, const EndCriteria &endCriteria, const Constraint &constraint=Constraint(), const std::vector< Real > &weights=std::vector< Real >(), const std::vector< bool > &fixParameters=std::vector< bool >())
Real | value (const Array &params, const std::vector< ext::shared_ptr< CalibrationHelper > > &)
QL_DEPRECATED Real | value (const Array &params, const std::vector< ext::shared_ptr< BlackCalibrationHelper > > &)
const ext::shared_ptr< Constraint > & | constraint () const
EndCriteria::Type | endCriteria () const
| Returns end criteria result.
const Array & | problemValues () const
| Returns the problem values.
Disposable< Array > | params () const
| Returns array of arguments on which calibration is done.
virtual void | setParams (const Array &params)
Integer | functionEvaluation () const
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const ext::shared_ptr< Observable > &)
void | registerWithObservables (const ext::shared_ptr< Observer > &)
Size | unregisterWith (const ext::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Member Functions

void | generateArguments ()
Protected Member Functions inherited from HestonModel
void | generateArguments ()

## Additional Inherited Members

Public Types inherited from Observer
typedef boost::unordered_set< ext::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator
Protected Attributes inherited from HestonModel
ext::shared_ptr< HestonProcess > | process_
Protected Attributes inherited from CalibratedModel
std::vector< Parameter > | arguments_
ext::shared_ptr< Constraint > | constraint_
EndCriteria::Type | shortRateEndCriteria_
Array | problemValues_
Integer | functionEvaluation_

## Detailed Description

Bates stochastic-volatility model.

extended versions of Heston model for the stochastic volatility of an asset including jumps.

References: A. Sepp, Pricing European-Style Options under Jump Diffusion Processes with Stochastic Volatility: Applications of Fourier Transform (http://math.ut.ee/~spartak/papers/stochjumpvols.pdf)

Tests:
  calibration is tested against known values.

Examples
  EquityOption.cpp.